package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TTestdataLayer;
import com.chinaitop.depot.intelligent.grainsituation.model.TTestdataLayerExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TTestdataLayerMapper {
    int countByExample(TTestdataLayerExample example);

    int deleteByExample(TTestdataLayerExample example);

    int insert(TTestdataLayer record);

    int insertSelective(TTestdataLayer record);

    List<TTestdataLayer> selectByExample(TTestdataLayerExample example);

    int updateByExampleSelective(@Param("record") TTestdataLayer record, @Param("example") TTestdataLayerExample example);

    int updateByExample(@Param("record") TTestdataLayer record, @Param("example") TTestdataLayerExample example);

    void insertBatch(List<TTestdataLayer> testDatal);
}